# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "engish"
version = "0.3.1"
authors = ["Fishy"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A language utility for sampling letters and building words."
readme = "README.md"
keywords = [
    "language",
    "words",
    "english",
]
categories = ["text-processing"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/fishykins/engish/"

[features]
builders = []
default = ["builders"]

[lib]
name = "engish"
path = "src/lib.rs"

[[example]]
name = "simple_noun"
path = "examples/simple_noun.rs"

[dependencies.lazy_static]
version = "1.5.0"

[dependencies.rand]
version = "0.9.2"
features = ["serde"]

[dependencies.ron]
version = "0.12"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[build-dependencies.rand]
version = "0.9"
features = ["serde"]

[build-dependencies.ron]
version = "0.12"

[build-dependencies.serde]
version = "1.0"
features = ["derive"]
